package com.foreverwin.mesnac.anomaly.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 异常原因
 * </p>
 *
 * @author robert
 * @since 2021-07-01
 */

@TableName("Z_ABNORMAL_CAUSE")

public class AbnormalCause extends Model<AbnormalCause> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 异常原因
     */
   @TableField("ABNORMAL_CAUSE_NO")
   private String abnormalCauseNo;
    /**
     * 异常单BO
     */
   @TableField("ABNORMAL_BILL_BO")
   private String abnormalBillBo;
    /**
     * 异常单处置表BO
     */
   @TableField("ABNORMAL_BILL_DISPOSE_BO")
   private String abnormalBillDisposeBo;
    /**
     * 创建人
     */
   @TableField("CREATED_USER")
   private String createdUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFIED_USER")
   private String modifiedUser;
    /**
     * 修改日期
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getAbnormalCauseNo() {
      return abnormalCauseNo;
   }

   public void setAbnormalCauseNo(String abnormalCauseNo) {
      this.abnormalCauseNo = abnormalCauseNo;
   }

   public String getAbnormalBillBo() {
      return abnormalBillBo;
   }

   public void setAbnormalBillBo(String abnormalBillBo) {
      this.abnormalBillBo = abnormalBillBo;
   }

   public String getAbnormalBillDisposeBo() {
      return abnormalBillDisposeBo;
   }

   public void setAbnormalBillDisposeBo(String abnormalBillDisposeBo) {
      this.abnormalBillDisposeBo = abnormalBillDisposeBo;
   }

   public String getCreatedUser() {
      return createdUser;
   }

   public void setCreatedUser(String createdUser) {
      this.createdUser = createdUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifiedUser() {
      return modifiedUser;
   }

   public void setModifiedUser(String modifiedUser) {
      this.modifiedUser = modifiedUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String ABNORMAL_CAUSE_NO = "ABNORMAL_CAUSE_NO";

public static final String ABNORMAL_BILL_BO = "ABNORMAL_BILL_BO";

public static final String ABNORMAL_BILL_DISPOSE_BO = "ABNORMAL_BILL_DISPOSE_BO";

public static final String CREATED_USER = "CREATED_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_USER = "MODIFIED_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "AbnormalCause{" +
         "handle = " + handle +
         ", site = " + site +
         ", abnormalCauseNo = " + abnormalCauseNo +
         ", abnormalBillBo = " + abnormalBillBo +
         ", abnormalBillDisposeBo = " + abnormalBillDisposeBo +
         ", createdUser = " + createdUser +
         ", createdDateTime = " + createdDateTime +
         ", modifiedUser = " + modifiedUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}